#include <bits/stdc++.h>
//#pragma GCC optimize("O3")
//#pragma GCC target("avx2,bmi,bmi2,popcnt,lzcnt")
using namespace std;
using ll = long long;
using ull = unsigned long long;

//#include <ext/pb_ds/assoc_container.hpp>
//#include <ext/pb_ds/tree_policy.hpp>
//using namespace __gnu_pbds;
//
//template <class T> using ordered_set = tree<T, null_type, less<T>,
//        rb_tree_tag, tree_order_statistics_node_update>;

const ll INF = 1e18;
const ll MOD = 1e9 + 7;

mt19937 rnd(time(0));



int main() {
    std::ios_base::sync_with_stdio(0);
    std::cin.tie(0); std::cout.tie(0);
    cout << 0;
    return 0;
}
